package org.jeecg.modules.ctop.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import org.jeecg.modules.ctop.entity.Advertiser;
import org.jeecg.modules.ctop.mapper.AdvertiserMapper;
import org.jeecg.modules.ctop.service.IAdvertiserService;
import org.springframework.stereotype.Service;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;

import java.util.List;

/**
 * @Description: 广告主信息表
 * @Author: jeecg-boot
 * @Date:   2019-06-11
 * @Version: V1.0
 */
@Service
public class AdvertiserServiceImpl extends ServiceImpl<AdvertiserMapper, Advertiser> implements IAdvertiserService {

    @Override
    public List<Advertiser> getBySaleId(String saleId) {
        QueryWrapper<Advertiser> queryWrapper = new QueryWrapper<>();
        queryWrapper.eq("sale_id", saleId);
        return this.list(queryWrapper);
    }
}
